﻿
namespace QuickAccess.Browser.Commands
{
    #region Imported Namespaces

    using GraphicsManager.Commands;
    using Utilities.Graphics;
    
    #endregion

    public class CaptureCommand : BaseCommand {
        public CaptureCommand( )
        {
            this.CreateInstance = ( ) =>
            {
                ScreenCapture.Capture( );
            };
        }

        public static IRelayCommand Command
        {
            get { return new CaptureCommand( ).InternalCommand; }
        }
    }
}
