namespace QuickAccess.Utilities {
    #region Imported Namespaces

    using System;
    using System.Windows.Media.Imaging;

    #endregion

    public static class ImageLoader {
        #region Members

        public static BitmapImage LoadImage( string imageName ) {
            var image = new BitmapImage( );
            var fileName = "pack://application:,,,/QuickAccess;component/icons/" + imageName;

            try {
                image.BeginInit( );
                image.UriSource = new Uri( fileName );
                image.EndInit( );
            } catch ( Exception e ) {
            }

            return image;
        }

        #endregion
    }
}
