﻿namespace QuickAccess.ViewModelFramework {
    #region Imported Namespaces

    using System;
    using System.ComponentModel;

    #endregion

    public interface IBaseViewModel : INotifyPropertyChanged, IDisposable {

        string DisplayName { get; }

        bool Disposed { get; }

        void VerifyPropertyName( string propertyName );
    }
}
